require 'Items/SuburbsDistributions'
require 'Items/ProceduralDistributions'

function SpawnItemEED (roomGlobal, place, prec)
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Tonic_CandyBar1_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Tonic_CandyBar2_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Tonic_CandyBar3_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Tonic_Lunch1_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Tonic_Lunch2_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Tonic_Lunch2_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Crispbread1_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Crispbread2_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Crispbread3_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
end

function SpawnItemEEDrink (roomGlobal, place, prec)
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Tonic_Drink1_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Tonic_Drink2_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.Tonic_Drink3_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.BeerCan_Duff_EED");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
	table.insert(SuburbsDistributions[roomGlobal][place].items, "Base.Pop4");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
end

function SpawnItemEEDLunchBox (roomGlobal, place, prec)
	table.insert(SuburbsDistributions[roomGlobal][place].items, "EED.LunchBox_GO");
	table.insert(SuburbsDistributions[roomGlobal][place].items, prec);
end

SpawnItemEED("all","counter",0.01);
SpawnItemEEDrink("all","counter",0.01);
SpawnItemEEDLunchBox("all","counter",0.5);

SpawnItemEED("spiffoskitchen","counter",0.5);
SpawnItemEED("spiffoskitchen","fridge",0.5);
SpawnItemEED("candystore","counter",0.5);
SpawnItemEED("zippeestore","counter",0.5);
SpawnItemEED("zippeestore","crate",0.5);
SpawnItemEED("grocery","counter",0.5);
SpawnItemEED("gigamart","counter",0.5);
SpawnItemEED("fossoil","counter",0.5);
SpawnItemEED("fossoil","crate",0.5);
SpawnItemEED("cornerstore","counter",0.5);
SpawnItemEED("gasstorage","metal_shelves",0.5);
SpawnItemEED("gasstore","counter",0.5);
SpawnItemEED("gasstore","shelves",0.5);
SpawnItemEED("theatrestorage","crate",0.5);
SpawnItemEED("SurvivorCache1","SurvivorCrate",10);
SpawnItemEED("SurvivorCache2","SurvivorCrate",10);
SpawnItemEED("all","vendingsnack",0.5);
SpawnItemEED("all","officedrawers",0.5);

SpawnItemEEDrink("candystore","counter",0.5);
SpawnItemEEDrink("zippeestore","counter",0.5);
SpawnItemEEDrink("zippeestore","crate",0.5);
SpawnItemEEDrink("grocery","counter",0.5);
SpawnItemEEDrink("gigamart","counter",0.5);
SpawnItemEEDrink("fossoil","counter",0.5);
SpawnItemEEDrink("fossoil","crate",0.5);
SpawnItemEEDrink("spiffoskitchen","counter",0.5);
SpawnItemEEDrink("spiffoskitchen","fridge",0.5);
SpawnItemEEDrink("kitchen_crepe","counter",0.5);
SpawnItemEEDrink("theatrekitchen","counter",0.5);
SpawnItemEEDrink("cornerstore","counter",0.5);
SpawnItemEEDrink("gasstorage","metal_shelves",0.5);
SpawnItemEEDrink("gasstore","counter",0.5);
SpawnItemEEDrink("gasstore","shelves",0.5);
SpawnItemEEDrink("theatrestorage","crate",0.5);
SpawnItemEEDrink("SurvivorCache1","SurvivorCrate",10);
SpawnItemEEDrink("SurvivorCache2","SurvivorCrate",10);
SpawnItemEEDrink("restaurant","shelves",0.5);
SpawnItemEEDrink("all","vendingsnack",0.5);
SpawnItemEEDrink("all","officedrawers",0.5);

SpawnItemEEDLunchBox("spiffoskitchen","counter",0.5);
SpawnItemEEDLunchBox("spiffoskitchen","fridge",0.5);
SpawnItemEEDLunchBox("kitchen_crepe","counter",0.5);
SpawnItemEEDLunchBox("theatrekitchen","counter",0.5);
SpawnItemEEDLunchBox("theatrestorage","crate",0.5);
SpawnItemEEDLunchBox("SurvivorCache1","SurvivorCrate",10);
SpawnItemEEDLunchBox("SurvivorCache2","SurvivorCrate",10);
SpawnItemEEDLunchBox("all","vendingsnack",0.5);
SpawnItemEEDLunchBox("all","officedrawers",0.5);

table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.Tonic_Drink1_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.Tonic_Drink2_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.Tonic_Drink3_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.BeerCan_Duff_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.Tonic_CandyBar1_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.Tonic_CandyBar2_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.Tonic_CandyBar3_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.Tonic_Lunch1_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.Tonic_Lunch2_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "Base.Pop4");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.Crispbread1_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.Crispbread2_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"].items, "EED.Crispbread3_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"].items, 0.5);

table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.Tonic_Drink1_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.Tonic_Drink2_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.Tonic_Drink3_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.BeerCan_Duff_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.Tonic_CandyBar1_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.Tonic_CandyBar2_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.Tonic_CandyBar3_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.Tonic_Lunch1_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.Tonic_Lunch2_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "Base.Pop4");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.Crispbread1_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.Crispbread2_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, "EED.Crispbread3_EED");
table.insert(ProceduralDistributions.list["GigamartCandy"]["junk"].items, 0.5);

table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.Tonic_Drink1_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.Tonic_Drink2_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.Tonic_Drink3_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.BeerCan_Duff_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.Tonic_CandyBar1_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.Tonic_CandyBar2_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.Tonic_CandyBar3_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.Tonic_Lunch1_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.Tonic_Lunch2_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "Base.Pop4");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.Crispbread1_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.Crispbread2_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, "EED.Crispbread3_EED");
table.insert(ProceduralDistributions.list["StoreShelfSnacks"].items, 0.5);

table.insert(ProceduralDistributions.list["GigamartBottles"].items, "EED.Tonic_Drink1_EED");
table.insert(ProceduralDistributions.list["GigamartBottles"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartBottles"].items, "EED.Tonic_Drink2_EED");
table.insert(ProceduralDistributions.list["GigamartBottles"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartBottles"].items, "EED.Tonic_Drink3_EED");
table.insert(ProceduralDistributions.list["GigamartBottles"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartBottles"].items, "EED.BeerCan_Duff_EED");
table.insert(ProceduralDistributions.list["GigamartBottles"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartBottles"].items, "Base.Pop4");
table.insert(ProceduralDistributions.list["GigamartBottles"].items, 0.5);

table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "EED.Tonic_Lunch1_EED");
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "EED.Tonic_Lunch2_EED");
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "EED.Crispbread1_EED");
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "EED.Crispbread2_EED");
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 0.5);
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, "EED.Crispbread3_EED");
table.insert(ProceduralDistributions.list["GigamartCannedFood"].items, 0.5);

table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "EED.Tonic_Lunch1_EED");
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 0.5);
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "EED.Tonic_Lunch2_EED");
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 0.5);
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "EED.Crispbread1_EED");
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 0.5);
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "EED.Crispbread2_EED");
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 0.5);
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, "EED.Crispbread3_EED");
table.insert(ProceduralDistributions.list["KitchenCannedFood"].items, 0.5);

table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.Tonic_Drink1_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.Tonic_Drink2_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.Tonic_Drink3_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.BeerCan_Duff_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.Tonic_CandyBar1_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.Tonic_CandyBar2_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.Tonic_CandyBar3_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.Tonic_Lunch1_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.Tonic_Lunch2_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "Base.Pop4");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.Crispbread1_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.Crispbread2_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, "EED.Crispbread3_EED");
table.insert(SuburbsDistributions["all"]["inventoryfemale"].items, 0.0001);

table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.Tonic_Drink1_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.Tonic_Drink2_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.Tonic_Drink3_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.BeerCan_Duff_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.Tonic_CandyBar1_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.Tonic_CandyBar2_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.Tonic_CandyBar3_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.Tonic_Lunch1_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.Tonic_Lunch2_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "Base.Pop4");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.Crispbread1_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.Crispbread2_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);
table.insert(SuburbsDistributions["all"]["inventorymale"].items, "EED.Crispbread3_EED");
table.insert(SuburbsDistributions["all"]["inventorymale"].items, 0.0001);